
Showroom Mobile Banking - Enhancement #14027

RIBMS SD: Organisation to support Maker Checker 

15 July 2022 10:24 AM - Low Dylan

Status: Resolved Start date: 15 July 2022

Priority: Normal Due date:  

Assignee: Low Dylan % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Phase: Future Branch Code: showroom-proj-base-i5

Description

RIBMS SD: Organisation to support Maker Checker

History

#1 - 22 July 2022 05:39 PM - Low Dylan

- Assignee changed from Low Dylan to siti nurazwan

#2 - 05 August 2022 06:26 PM - siti nurazwan

- Status changed from New to Resolved

- Assignee changed from siti nurazwan to Low Dylan

Script Revision: 218252,218253

----

Modified : /HLF/Source/SMEHLF100/trunk/mleb_common/bd_common/src/main/resources/db/mysql/02_mysql_common_database_data.sql

Modified : /HLF/Source/SMEHLF100/trunk/mleb_common/bd_common/src/main/resources/db/mysql/01_mysql_common_database_tables.sql

Modified : /HLF/Source/SMEHLF100/trunk/mleb_core/src/main/resources/db/mysql/02_mysql_mleb_core_database_data.sql

Trunk Revision: 218251

----

Modified : /HLF/Source/SMEHLF100/trunk/mleb_common/bbean_common/src/main/java/com/silverlake/ifb/bean/DepartmentBean.java

Modified : /HLF/Source/SMEHLF100/trunk/mleb_common/bbean_common/src/main/java/com/silverlake/ifb/constant/CommonConstant.java

Modified : /HLF/Source/SMEHLF100/trunk/mleb_common/bd_common/build.gradle

Modified : /HLF/Source/SMEHLF100/trunk/mleb_common/bd_common/src/main/java/com/silverlake/ifb/dao/DepartmentDAO.java

Modified : /HLF/Source/SMEHLF100/trunk/mleb_common/bd_common/src/main/java/com/silverlake/ifb/dao/DepartmentDAOImpl.java

Modified : /HLF/Source/SMEHLF100/trunk/mleb_common/bd_common/src/main/java/com/silverlake/ifb/entity/DepartmentEntity.java

Added : /HLF/Source/SMEHLF100/trunk/mleb_common/bd_common/src/main/java/com/silverlake/ifb/entity/DepartmentSDEntity.java

Modified : /HLF/Source/SMEHLF100/trunk/mleb_common/bd_common/src/main/java/com/silverlake/ifb/entity/OrganisationEntity.java

Modified : /HLF/Source/SMEHLF100/trunk/mleb_common/bd_common/src/main/java/com/silverlake/ifb/entity/OrganisationHTMLEntityI18n.java

Added : /HLF/Source/SMEHLF100/trunk/mleb_common/bd_common/src/main/java/com/silverlake/ifb/entity/OrganisationSDEntity.java

Added : /HLF/Source/SMEHLF100/trunk/mleb_common/bd_common/src/main/java/com/silverlake/ifb/entity/listener

Added : /HLF/Source/SMEHLF100/trunk/mleb_common/bd_common/src/main/java/com/silverlake/ifb/entity/listener/DepartmentPostInsertTrigger.java

Added :

/HLF/Source/SMEHLF100/trunk/mleb_common/bd_common/src/main/java/com/silverlake/ifb/entity/listener/DepartmentPostUpdateTrigger.java

Added : /HLF/Source/SMEHLF100/trunk/mleb_common/bd_common/src/main/java/com/silverlake/ifb/entity/listener/EntityPersistEventListener.java

Added :

/HLF/Source/SMEHLF100/trunk/mleb_common/bd_common/src/main/java/com/silverlake/ifb/entity/listener/EntityPostCommitInsertEventListener.java

Added :

/HLF/Source/SMEHLF100/trunk/mleb_common/bd_common/src/main/java/com/silverlake/ifb/entity/listener/EntityPostCommitUpdateEventListener.jav

a

Added : /HLF/Source/SMEHLF100/trunk/mleb_common/bd_common/src/main/java/com/silverlake/ifb/entity/listener/EntityUpdateEventListener.java

Modified : /HLF/Source/SMEHLF100/trunk/mleb_common/bd_common/src/main/java/com/silverlake/ifb/module/DepartmentCRUD.java

Modified : /HLF/Source/SMEHLF100/trunk/mleb_common/bd_common/src/main/java/com/silverlake/ifb/service/DepartmentService.java

Modified : /HLF/Source/SMEHLF100/trunk/mleb_common/bd_common/src/main/java/com/silverlake/ifb/service/DepartmentServiceImpl.java

Added : /HLF/Source/SMEHLF100/trunk/mleb_common/bd_common/src/main/java/com/silverlake/ifb/util/hibernate

Added : /HLF/Source/SMEHLF100/trunk/mleb_common/bd_common/src/main/java/com/silverlake/ifb/util/hibernate/HibernateSpringIntegrator.java

Modified : /HLF/Source/SMEHLF100/trunk/mleb_common/bd_common/src/main/resources/applicationContext.xml

Modified : /HLF/Source/SMEHLF100/trunk/mleb_common/cc_common/src/main/resources/Messages.properties

Added : /HLF/Source/SMEHLF100/trunk/mleb_iam/bbean_iam/src/main/java/com/silverlake/ifb/bean/CheckerApprovalBean.java

Added : /HLF/Source/SMEHLF100/trunk/mleb_iam/bbean_iam/src/main/java/com/silverlake/ifb/bean/CheckerApprovalSearchBean.java

Modified : /HLF/Source/SMEHLF100/trunk/mleb_iam/bbean_iam/src/main/java/com/silverlake/ifb/bean/DepartmentBean.java

Modified : /HLF/Source/SMEHLF100/trunk/mleb_iam/bbean_iam/src/main/java/com/silverlake/ifb/bean/DepartmentSearchBean.java

Modified : /HLF/Source/SMEHLF100/trunk/mleb_iam/bbean_iam/src/main/java/com/silverlake/ifb/bean/OrganisationBean.java
Added : /HLF/Source/SMEHLF100/trunk/mleb_iam/bbean_iam/src/main/java/com/silverlake/ifb/bean/OrganisationHierachyBean.java

Modified : /HLF/Source/SMEHLF100/trunk/mleb_iam/bbean_iam/src/main/java/com/silverlake/ifb/bean/OrganisationHtmlBean.java

Modified : /HLF/Source/SMEHLF100/trunk/mleb_iam/bbean_iam/src/main/java/com/silverlake/ifb/bean/OrganisationSearchBean.java

Modified : /HLF/Source/SMEHLF100/trunk/mleb_iam/bbean_iam/src/main/java/com/silverlake/ifb/constant/IAMConstant.java

Added : /HLF/Source/SMEHLF100/trunk/mleb_iam/bbean_iam/src/main/java/com/silverlake/ifb/util/CopyBeanUtil.java

Modified : /HLF/Source/SMEHLF100/trunk/mleb_iam/bbean_iam/src/main/java/com/silverlake/ifb/util/UtilManager.java

Modified : /HLF/Source/SMEHLF100/trunk/mleb_iam/bd_iam/build.gradle

Added : /HLF/Source/SMEHLF100/trunk/mleb_iam/bd_iam/src/main/java/com/silverlake/ifb/dao/CheckerApprovalDAO.java

Added : /HLF/Source/SMEHLF100/trunk/mleb_iam/bd_iam/src/main/java/com/silverlake/ifb/dao/CheckerApprovalDAOImpl.java

Modified : /HLF/Source/SMEHLF100/trunk/mleb_iam/bd_iam/src/main/java/com/silverlake/ifb/dao/OrganisationDAO.java

Modified : /HLF/Source/SMEHLF100/trunk/mleb_iam/bd_iam/src/main/java/com/silverlake/ifb/dao/OrganisationDAOImpl.java

Added : /HLF/Source/SMEHLF100/trunk/mleb_iam/bd_iam/src/main/java/com/silverlake/ifb/entity/CheckerApprovalEntity.java

Added : /HLF/Source/SMEHLF100/trunk/mleb_iam/bd_iam/src/main/java/com/silverlake/ifb/entity/DepartmentEntity.java

Added : /HLF/Source/SMEHLF100/trunk/mleb_iam/bd_iam/src/main/java/com/silverlake/ifb/entity/DepartmentSDEntity.java

Modified : /HLF/Source/SMEHLF100/trunk/mleb_iam/bd_iam/src/main/java/com/silverlake/ifb/entity/OrganisationEntity.java

Modified : /HLF/Source/SMEHLF100/trunk/mleb_iam/bd_iam/src/main/java/com/silverlake/ifb/entity/OrganisationHTMLEntity.java

Modified : /HLF/Source/SMEHLF100/trunk/mleb_iam/bd_iam/src/main/java/com/silverlake/ifb/entity/OrganisationHTMLEntityI18n.java

Added : /HLF/Source/SMEHLF100/trunk/mleb_iam/bd_iam/src/main/java/com/silverlake/ifb/entity/OrganisationHTMLEntityI18nSD.java

Added : /HLF/Source/SMEHLF100/trunk/mleb_iam/bd_iam/src/main/java/com/silverlake/ifb/entity/OrganisationHTMLSDEntity.java

Modified : /HLF/Source/SMEHLF100/trunk/mleb_iam/bd_iam/src/main/java/com/silverlake/ifb/entity/OrganisationProfileHierachy.java

Added : /HLF/Source/SMEHLF100/trunk/mleb_iam/bd_iam/src/main/java/com/silverlake/ifb/entity/OrganisationProfileHierachySD.java

Added : /HLF/Source/SMEHLF100/trunk/mleb_iam/bd_iam/src/main/java/com/silverlake/ifb/entity/OrganisationSDEntity.java

Added : /HLF/Source/SMEHLF100/trunk/mleb_iam/bd_iam/src/main/java/com/silverlake/ifb/entity/listener/DepartmentPostUpdateTrigger.java

Added : /HLF/Source/SMEHLF100/trunk/mleb_iam/bd_iam/src/main/java/com/silverlake/ifb/entity/listener/EntityPersistEventListener.java

Added : /HLF/Source/SMEHLF100/trunk/mleb_iam/bd_iam/src/main/java/com/silverlake/ifb/entity/listener/EntityPostCommitInsertEventListener.java

Added : /HLF/Source/SMEHLF100/trunk/mleb_iam/bd_iam/src/main/java/com/silverlake/ifb/entity/listener/EntityPostCommitUpdateEventListener.java

Added : /HLF/Source/SMEHLF100/trunk/mleb_iam/bd_iam/src/main/java/com/silverlake/ifb/entity/listener/EntityUpdateEventListener.java

Added : /HLF/Source/SMEHLF100/trunk/mleb_iam/bd_iam/src/main/java/com/silverlake/ifb/entity/listener/OrganisationHTMLPostInsertTrigger.java

Added : /HLF/Source/SMEHLF100/trunk/mleb_iam/bd_iam/src/main/java/com/silverlake/ifb/entity/listener/OrganisationHTMLPostUpdateTrigger.java

Added : /HLF/Source/SMEHLF100/trunk/mleb_iam/bd_iam/src/main/java/com/silverlake/ifb/entity/listener/OrganisationHierachyPostInsertTrigger.java

Added :

/HLF/Source/SMEHLF100/trunk/mleb_iam/bd_iam/src/main/java/com/silverlake/ifb/entity/listener/OrganisationHierachyPostUpdateTrigger.java

Added : /HLF/Source/SMEHLF100/trunk/mleb_iam/bd_iam/src/main/java/com/silverlake/ifb/entity/listener/OrganisationProfilePostInsertTrigger.java

Added : /HLF/Source/SMEHLF100/trunk/mleb_iam/bd_iam/src/main/java/com/silverlake/ifb/entity/listener/OrganisationProfilePostUpdateTrigger.java

Added : /HLF/Source/SMEHLF100/trunk/mleb_iam/bd_iam/src/main/java/com/silverlake/ifb/module/AbstractBdModule.java

Added : /HLF/Source/SMEHLF100/trunk/mleb_iam/bd_iam/src/main/java/com/silverlake/ifb/module/CheckerApprovalSolution.java

Modified : /HLF/Source/SMEHLF100/trunk/mleb_iam/bd_iam/src/main/java/com/silverlake/ifb/module/OrganisationCRUD.java

Added : /HLF/Source/SMEHLF100/trunk/mleb_iam/bd_iam/src/main/java/com/silverlake/ifb/service/CheckerApprovalService.java

Added : /HLF/Source/SMEHLF100/trunk/mleb_iam/bd_iam/src/main/java/com/silverlake/ifb/service/CheckerApprovalServiceImpl.java

Modified : /HLF/Source/SMEHLF100/trunk/mleb_iam/bd_iam/src/main/java/com/silverlake/ifb/service/OrganisationService.java

Modified : /HLF/Source/SMEHLF100/trunk/mleb_iam/bd_iam/src/main/java/com/silverlake/ifb/service/OrganisationServiceImpl.java

Added : /HLF/Source/SMEHLF100/trunk/mleb_iam/bd_iam/src/main/java/com/silverlake/ifb/util/hibernate

Added : /HLF/Source/SMEHLF100/trunk/mleb_iam/bd_iam/src/main/java/com/silverlake/ifb/util/hibernate/HibernateSpringIntegrator.java

Modified : /HLF/Source/SMEHLF100/trunk/mleb_iam/bd_iam/src/main/resources/META-INF/spring/integration/iam-inte.xml

Modified : /HLF/Source/SMEHLF100/trunk/mleb_iam/bd_iam/src/main/resources/applicationContext.xml

Added : /HLF/Source/SMEHLF100/trunk/mleb_iam/cc_iam/src/main/java/com/silverlake/ifb/controller/CheckerApprovalController.java

Modified : /HLF/Source/SMEHLF100/trunk/mleb_iam/cc_iam/src/main/java/com/silverlake/ifb/controller/DepartmentController.java

Modified : /HLF/Source/SMEHLF100/trunk/mleb_iam/cc_iam/src/main/java/com/silverlake/ifb/controller/OrganisationHtmlUploadController.java

Modified : /HLF/Source/SMEHLF100/trunk/mleb_iam/cc_iam/src/main/java/com/silverlake/ifb/controller/OrganisationProfileController.java

Modified : /HLF/Source/SMEHLF100/trunk/mleb_iam/cc_iam/src/main/resources/Messages.properties

Added : /HLF/Source/SMEHLF100/trunk/mleb_iam/cc_iam/src/main/webapp/WEB-INF/vm/checkerApproval

Added : /HLF/Source/SMEHLF100/trunk/mleb_iam/cc_iam/src/main/webapp/WEB-INF/vm/checkerApproval/checkerApprovalList.vm

Modified : /HLF/Source/SMEHLF100/trunk/mleb_iam/cc_iam/src/main/webapp/WEB-INF/vm/navigation.vm

Modified : /HLF/Source/SMEHLF100/trunk/mleb_iam/cc_iam/src/main/webapp/WEB-INF/vm/organisationProfile/organisationDepartmetDetail.vm

Modified : /HLF/Source/SMEHLF100/trunk/mleb_iam/cc_iam/src/main/webapp/WEB-INF/vm/organisationProfile/organisationDepartmetList.vm

Modified : /HLF/Source/SMEHLF100/trunk/mleb_iam/cc_iam/src/main/webapp/WEB-INF/vm/organisationProfile/organisationHQProfileDetail.vm

Modified : /HLF/Source/SMEHLF100/trunk/mleb_iam/cc_iam/src/main/webapp/WEB-INF/vm/organisationProfile/organisationHtmlDetail.vm

Modified : /HLF/Source/SMEHLF100/trunk/mleb_iam/cc_iam/src/main/webapp/WEB-INF/vm/organisationProfile/organisationProfileDetail.vm

Modified : /HLF/Source/SMEHLF100/trunk/mleb_iam/cc_iam/src/main/webapp/WEB-INF/vm/organisationProfile/organisationProfileList.vm

Modified : /HLF/Source/SMEHLF100/trunk/mleb_iam/cc_iam/src/main/webapp/WEB-INF/vm/organisationProfile/organisationProfileNavigation.vm
